{% extends 'base.html.twig' %}

{% block body %}
    <h1>Videos list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Titre</th>
                <th>Auteur</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for video in videos %}
            <tr>
                <td><a href="{{ path('video_show', { 'id': video.id }) }}">{{ video.id }}</a></td>
                <td>{{ video.titre }}</td>
                <td>{{ video.auteur }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('video_show', { 'id': video.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('video_edit', { 'id': video.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('video_new') }}">Create a new video</a>
        </li>
    </ul>
{% endblock %}
